Std Affichage de la sélection

From FreeCAD Documentation
This page is a translated version of the page Std ViewFitSelection and the translation is 100% complete.

Std Affiche la sélection

Emplacement du menu
Affichage → Vues standards → Affiche la sélection
Ateliers
Tous
Raccourci par défaut
V S
Introduit dans la version
-
Voir aussi
Std Tout afficher

Description

La commande Std Affiche la sélection effectue un zoom et un panoramique de la caméra de sorte que tous les objets sélectionnés tiennent à l'intérieur de la vue 3D active. Cette commande est utile si pour une raison quelconque, les objets se trouvent au-delà des limites de la vue 3D en cours ou ne peuvent pas être facilement trouvés à l'aide de la navigation 3D.

Utilisation

  1. Sélectionnez un ou plusieurs objets.
  2. Il y a plusieurs façons de lancer la commande :
    • Appuyez sur le bouton Afficher la sélection.
    • Sélectionnez l'option Affichage → Vues standards → Afficher la sélection du menu.
    • Sélectionnez l'option Afficher la sélection dans le menu contextuel vue 3D.
    • Sélectionnez l'option Afficher la sélection dans le menu mini-cube du cube de navigation.
    • Utilisez le raccourci clavier : V puis S.

Script

Voir aussi : Autogenerated API documentation et FreeCAD Débuter avec les scripts.

La méthode SendMsgToActiveView de l'objet FreeCADGui peut être utilisée pour agrandir la vue active afin de l'adapter à la sélection.

import FreeCADGui

FreeCADGui.SendMsgToActiveView("ViewSelection")